package roneditor.ui.wizards;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;

public class CreateHLPlaceWizard extends Wizard implements INewWizard {

	private CreateHLPlaceWizardPage page;

	private IStructuredSelection selection;

	private IWorkbench workbench;

	private String placeName;

	private boolean isRule;

	@Override
	public void addPages() {
		page = new CreateHLPlaceWizardPage(workbench, selection);
		addPage(page);
	}

	@Override
	public boolean performFinish() {
		return true;
		// return page.finish();
	}

	@Override
	public void init(final IWorkbench workbench,
			final IStructuredSelection selection) {
		this.workbench = workbench;
		this.selection = selection;
	}

	public boolean isRule() {
		return isRule;
	}

	public void setRule(final boolean isRule) {
		this.isRule = isRule;
	}

	public String getPlaceName() {
		return placeName;
	}

	public void setPlaceName(final String placeName) {
		this.placeName = placeName;
	}

}
