package roneditor.ui.wizards;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;

public class CreateTokenWizard extends Wizard implements INewWizard {

	private CreateTokenWizardPage page;

	private IStructuredSelection selection;

	private IWorkbench workbench;

	private String tokenName;

	@Override
	public void addPages() {
		page = new CreateTokenWizardPage(workbench, selection);
		addPage(page);
	}

	@Override
	public boolean performFinish() {
		return true;
		// return page.finish();
	}

	@Override
	public void init(final IWorkbench workbench,
			final IStructuredSelection selection) {
		this.workbench = workbench;
		this.selection = selection;
	}

	public String getTokenName() {
		return tokenName;
	}

	public void setTokenName(final String placeName) {
		tokenName = placeName;
	}
}
